# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.projecthosting
Class IssuesQuery

    java.lang.Object
      com.google.gdata.client.Query
          com.google.gdata.client.projecthosting.IssuesQuery

    public class IssuesQuery

extends Query

Describes a query for the project issues feed.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.client.Query
`Query.CategoryFilter, Query.CustomParameter, Query.ResultFormat`

Field Summary

Fields inherited from class com.google.gdata.client.Query
`UNDEFINED`

Constructor Summary
`IssuesQuery(java.net.URL feedUrl)` Constructs a new query object that targets a feed.

Method Summary
`java.lang.String` `getCan()` Returns the canned query identifier.
`java.lang.Integer` `getId()` Returns the issue ID.
`java.lang.String` `getLabel()` Returns the label.
`java.lang.String` `getOwner()` Returns the issue owner.
`java.lang.String` `getStatus()` Returns the issue status.
`void` `setCan(java.lang.String can)` Sets the canned query identifier.
`void` `setId(java.lang.Integer id)` Sets the issue ID.
`void` `setLabel(java.lang.String label)` Sets the label.
`void` `setOwner(java.lang.String owner)` Sets the issue owner.
`void` `setStatus(java.lang.String status)` Sets the issue status.

Methods inherited from class com.google.gdata.client.Query

`addCategoryFilter, addCustomParameter, appendQueryParameter, getAuthor, getCategoryFilters, getCustomParameters, getCustomParameters, getFeedUrl, getFields, getFullTextQuery, getIntegerCustomParameter, getMaxResults, getPublishedMax, getPublishedMin, getQueryUri, getResultFormat, getStartIndex, getStringCustomParameter, getUpdatedMax, getUpdatedMin, getUrl, isStrict, isValidState, setAuthor, setFields, setFullTextQuery, setIntegerCustomParameter, setMaxResults, setPublishedMax, setPublishedMin, setResultFormat, setStartIndex, setStrict, setStringCustomParameter, setUpdatedMax, setUpdatedMin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IssuesQuery

    public IssuesQuery(java.net.URL feedUrl)

  Constructs a new query object that targets a feed. The initial state of the query contains no parameters, meaning all entries in the feed would be returned if the query was executed immediately after construction.

  Parameters:
    `feedUrl` - the URL of the feed against which queries will be executed.

Method Detail

### getCan

    public java.lang.String getCan()

  Returns the canned query identifier.

  Returns:
    canned query identifier or `null` to indicate that the parameter is not set.

### setCan

    public void setCan(java.lang.String can)

  Sets the canned query identifier.

  Parameters:
    `can` - canned query identifier or `null` to remove this parameter if set.

### getId

    public java.lang.Integer getId()

  Returns the issue ID.

  Returns:
    issue ID or `null` to indicate that the parameter is not set.

### setId

    public void setId(java.lang.Integer id)

  Sets the issue ID.

  Parameters:
    `id` - issue ID or `null` to remove this parameter if set.

### getLabel

    public java.lang.String getLabel()

  Returns the label.

  Returns:
    label or `null` to indicate that the parameter is not set.

### setLabel

    public void setLabel(java.lang.String label)

  Sets the label.

  Parameters:
    `label` - label or `null` to remove this parameter if set.

### getOwner

    public java.lang.String getOwner()

  Returns the issue owner.

  Returns:
    issue owner or `null` to indicate that the parameter is not set.

### setOwner

    public void setOwner(java.lang.String owner)

  Sets the issue owner.

  Parameters:
    `owner` - issue owner or `null` to remove this parameter if set.

### getStatus

    public java.lang.String getStatus()

  Returns the issue status.

  Returns:
    issue status or `null` to indicate that the parameter is not set.

### setStatus

    public void setStatus(java.lang.String status)

  Sets the issue status.

  Parameters:
    `status` - issue status or `null` to remove this parameter if set.